Enrich

Get enriched details on a person.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

idstringOptional
linkedinIDstringOptional
linkedinEntityIdstringOptional
LinkedIn entity ID
linkedinURLstringOptional

LinkedIn URL, accepts public profile (linkedin.com/in/), Sales Navigator, and Recruiter URLs

twitterIDstringOptional
crunchbaseIDstringOptional
angelListIDstringOptional
signalNfxIDstringOptional
polyworkIDstringOptional
emailstringOptional
rescrapebooleanOptional

Whether or not to automatically rescrape entities with stale data (specified by the maxDataAgeDays parameter).

maxDataAgeDaysintegerOptional

The threshold / amount of days to consider data stale and trigger an automatic rescrape (if supplied but rescrape parameter is false, expect a bad request error).

previewbooleanOptional

When true, returns only minimal identification info (id, name, URLs) without charging a credit.

fullbooleanOptional
When true, returns all relational data including company investments, fund investments, and founded companies.
requirelist of stringsOptional

List of top-level response fields that must each have a non-empty value, otherwise a 404 is returned and no credit is charged. Example: ?require=fullName&require=URLs. Ignored when preview=true.

Response

This endpoint returns an object.
certificationslist of objects
Ceritifcations that the person has listed.
computed_highlightListlist of strings
Highlights of the person, computed internally by Aviato
firstNamestring
The first name of the person
fullNamestring
The full name of the person
idstring
The Aviato ID of the person
investedIndustrieslist of strings
The industries that the person has invested in
investedRoundListlist of strings
The round stages the person has invested in
investorCategoryListlist of strings
The categories that the person has invested in
lastNamestring
The last name of the person
skillslist of strings
Skills that the person has listed.
URLsobjectOptional
All URLs associated with the person.
aboutstringOptional
Short description about the person
companyInvestmentListlist of objectsOptional
List of company investments made by this person
degreeListlist of objectsOptional
List of degrees obtained by the person
educationListlist of objectsOptional
List of educational experiences
emailAvailablebooleanOptional
Whether at least one email address is available for this person
entityTypeenumOptional

The type of entity the person is. This is always "person" for people.

experienceListlist of objectsOptional
List of work experiences with company information
foundedCompanyListlist of objectsOptional
List of companies founded by this person
fundInvestmentListlist of objectsOptional
List of fund investments made by this person
genderstringOptional
The gender of the person
headlinestringOptional
Headline of the person.
investorCurrentFirmIDstringOptional
The ID of the current firm the person is an investor at
investorDisinterestsstringOptional
The disinterests of the person
investorFirmPositionstringOptional
The position of the person at their current firm
investorInterestsstringOptional
The interests of the person
investorMaxInvestmentdoubleOptional
The maximum investment the person is willing to make
investorMinInvestmentdoubleOptional
The minimum investment the person is willing to make
investorParticipatedRoundsCountintegerOptional
The number of rounds the person has participated in
investorPreviousFirmIDstringOptional
The ID of the previous firm the person was an investor at
investorPreviousFirmPositionstringOptional
The position of the person at their previous firm
investorTargetInvestmentdoubleOptional
The target investment the person is looking for
investorTitlestringOptional
The title of the person
investorTypestringOptional
The type of investor the person is
languageListlist of objectsOptional
List of languages the person speaks
lastUpdateddatetimeOptional
The date this person was last updated, this is equivalent to a last scraped date.
linkedinConnectionsintegerOptional
The number of connections the person has on LinkedIn
linkedinEntityIDstringOptional

The entity ID of the person on LinkedIn, this is typically seen in Sales Navigator/Recruiter URLs.

linkedinFollowersintegerOptional
The number of followers the person has on LinkedIn
linkedinIDstringOptional

The ID of the person on LinkedIn, this is the bit that appears after /in/ in the profile URL. Also known as the “slug”, or “username”

linkedinJoinDatedatetimeOptional
The date the person joined LinkedIn.
linkedinLaborStatusenumOptional

The labor status of the person (OPEN_TO_WORK, HIRING)

linkedinNumIDstringOptional
The numeric ID of the person on LinkedIn
linkedinOpenProfilebooleanOptional

Whether the person has an open LinkedIn profile (can be messaged without a connection)

linkedinPremiumbooleanOptional
Whether the person has a LinkedIn Premium subscription
locationstringOptional
The location of the person.
locationDetailsobjectOptional
Detailed location information for the person
locationIDListlist of integersOptional

All Geoencoded IDs of the locations the person is associated with. These IDs are typically used to quickly and efficiently filter people by location. Use the Geocoder Search endpoint to turn a location string into a Geocoded ID (https://docs.data.aviato.co/api-reference/geocoder/search)

personalEmailAvailablebooleanOptional
Whether at least one personal email address is available for this person
workEmailAvailablebooleanOptional
Whether at least one work email address is available for this person

Errors

400
Bad Request Error
401
Unauthorized Error
404
Person Not Found Error
429
Rate Limit Error